<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/cl_home_bg"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@drawable/dingdian_mg_pic_background_sun">

    <ImageView
        android:id="@+id/iv_logo"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:visibility="gone"
        android:layout_marginLeft="20dp"
        android:layout_marginTop="20dp"
        android:src="@drawable/logo"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/tv_discount_function_title"
        android:layout_width="800dp"
        android:layout_height="wrap_content"
        android:layout_centerHorizontal="true"
        android:layout_marginTop="80dp"
        android:background="@drawable/shape_rt_rb_green_discount"
        android:ellipsize="marquee"
        android:focusable="true"
        android:focusableInTouchMode="true"
        android:gravity="center"
        android:marqueeRepeatLimit="-1"
        android:padding="2dp"
        android:singleLine="true"
        android:textColor="#86D2C3"
        android:textSize="36sp"
        android:visibility="gone"
        app:layout_constraintEnd_toStartOf="@+id/home_guideline"
        app:layout_constraintStart_toStartOf="@+id/home_guideline"
        app:layout_constraintTop_toTopOf="parent" />
    <!--    <TextView-->
    <!--        android:id="@+id/tv_back_time"-->
    <!--        android:layout_width="wrap_content"-->
    <!--        android:layout_height="wrap_content"-->
    <!--        android:layout_marginLeft="20dp"-->
    <!--        android:text="60"-->
    <!--        android:textColor="@color/white"-->
    <!--        android:textSize="32sp"-->
    <!--        app:layout_constraintStart_toStartOf="parent"-->
    <!--        app:layout_constraintTop_toBottomOf="@+id/home_imageview2" />-->

    <!--    <TextView-->
    <!--        android:id="@+id/tv_steam_temp"-->
    <!--        android:layout_width="wrap_content"-->
    <!--        android:layout_height="wrap_content"-->
    <!--        android:text="40°C"-->
    <!--        android:textColor="#d4237a"-->
    <!--        android:textSize="38sp"-->
    <!--        app:layout_constraintBottom_toTopOf="@+id/home_textview8"-->
    <!--        app:layout_constraintStart_toEndOf="@+id/home_imageview6" />-->

    <!--    <TextView-->
    <!--        android:id="@+id/home_textview8"-->
    <!--        android:layout_width="wrap_content"-->
    <!--        android:layout_height="wrap_content"-->
    <!--        android:text="@string/home_steam_wendu"-->
    <!--        android:textColor="#d4237a"-->
    <!--        android:textSize="28sp"-->
    <!--        app:layout_constraintBottom_toTopOf="@+id/home_guideline2"-->
    <!--        app:layout_constraintStart_toEndOf="@+id/home_imageview6" />-->

    <!--    <ImageView-->
    <!--        android:id="@+id/home_imageview6"-->
    <!--        android:layout_width="80dp"-->
    <!--        android:layout_height="80dp"-->
    <!--        android:src="@drawable/icon_qxwendu_sun"-->
    <!--        app:layout_constraintBottom_toBottomOf="@+id/home_textview8"-->
    <!--        app:layout_constraintStart_toStartOf="@+id/home_guideline"-->
    <!--        app:layout_constraintTop_toTopOf="@+id/tv_steam_temp" />-->
    <com.ldt.springback.view.SpringBackLayout
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"

        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/home_rv_product"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content" />
    </com.ldt.springback.view.SpringBackLayout>


    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_home_time"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="20dp"
        android:layout_marginRight="20dp"
        android:padding="20dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <TextView
            android:id="@+id/tv_time"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="2024-07-21 21:06:23"
            android:textColor="@color/white"
            android:textSize="25sp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/tv_clientId"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@string/base_home_dev_id"
            android:textColor="@color/white"
            android:textSize="25sp"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/tv_time" />
    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.constraintlayout.widget.Guideline
        android:id="@+id/home_guideline"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        app:layout_constraintGuide_percent="0.46" />

    <androidx.constraintlayout.widget.Guideline
        android:id="@+id/home_guideline2"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        app:layout_constraintGuide_percent="0.98" />

    <TextView
        android:id="@+id/tv_aacpe_bill"
        android:layout_width="200dp"
        android:layout_height="wrap_content"
        android:layout_marginLeft="10dp"
        android:text="投入纸币：0"
        android:textColor="#d4237a"
        android:textSize="28sp"
        app:layout_constraintBottom_toTopOf="@+id/tv_aacpe_coin"
        app:layout_constraintStart_toStartOf="parent" />

    <TextView
        android:id="@+id/tv_aacpe_coin"
        android:layout_width="200dp"
        android:visibility="gone"
        android:layout_height="wrap_content"
        android:layout_marginLeft="10dp"
        android:text="投入硬币：0"
        android:textColor="#d4237a"
        android:textSize="28sp"
        app:layout_constraintBottom_toTopOf="@+id/il_contact"
        app:layout_constraintStart_toStartOf="parent" />
    <!-- 引入复用的布局 -->
    <include
        android:id="@+id/il_contact"
        layout="@layout/home_contact"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintBottom_toTopOf="@+id/home_guideline2"
        app:layout_constraintStart_toStartOf="parent" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_shoppingCart"
        android:layout_width="570dp"
        android:layout_height="120dp"
        android:layout_marginRight="10dp"
        android:background="@drawable/home_shape_gray"
        app:layout_constraintBottom_toTopOf="@+id/home_guideline2"
        app:layout_constraintEnd_toEndOf="parent">

        <ImageView
            android:id="@+id/iv_shopping_trolley"
            android:layout_width="50dp"
            android:layout_height="50dp"
            android:layout_marginLeft="20dp"
            android:src="@drawable/shopping_trolley_sun"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/tv_update_hint"
            android:layout_width="30dp"
            android:layout_height="30dp"
            android:background="@drawable/home_shape_btn_check_update_hint"
            android:gravity="center"
            android:text="0"
            android:textColor="@android:color/white"
            android:textSize="16sp"
            app:layout_constraintStart_toStartOf="@+id/iv_shopping_trolley"
            app:layout_constraintTop_toTopOf="@+id/iv_shopping_trolley" />

        <TextView
            android:id="@+id/tv_total"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerVertical="true"
            android:layout_marginLeft="20dp"
            android:gravity="center_vertical"
            android:text="@string/base_not_selected"
            android:textColor="#d4237a"
            android:textSize="40sp"
            app:layout_constraintBottom_toBottomOf="@+id/iv_shopping_trolley"
            app:layout_constraintStart_toEndOf="@+id/iv_shopping_trolley"
            app:layout_constraintTop_toTopOf="@+id/iv_shopping_trolley" />

        <Button
            android:id="@+id/tv_pay"
            android:layout_width="170dp"
            android:layout_height="110dp"
            android:layout_alignParentRight="true"
            android:layout_centerVertical="true"
            android:layout_marginRight="5dp"
            android:background="@drawable/home_shape_btn"
            android:gravity="center"
            android:text="@string/base_go_to_pay"
            android:textColor="@color/white"
            android:textSize="25sp"
            android:textStyle="bold"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent" />


    </androidx.constraintlayout.widget.ConstraintLayout>

    <Spinner
        android:id="@+id/sp_multiple"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:paddingStart="20dp"
        android:textSize="20sp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <LinearLayout
        android:id="@+id/ll_userbottom"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:gravity="center"
        android:orientation="horizontal"
        app:layout_constraintBottom_toTopOf="@+id/home_guideline2"
        app:layout_constraintEnd_toStartOf="@+id/home_guideline"
        app:layout_constraintStart_toStartOf="@+id/home_guideline">

        <RelativeLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:visibility="gone">

            <ImageView
                android:id="@+id/iv_wendu"
                android:layout_width="90dp"
                android:layout_height="90dp"
                android:src="@drawable/icon_qxwendu_new" />

            <LinearLayout
                android:id="@+id/ll_wendu"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_toRightOf="@id/iv_wendu">

                <TextView
                    android:id="@+id/tv_wendu"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="40°C"
                    android:textColor="#d4237a"
                    android:textSize="34sp" />

            </LinearLayout>

            <TextView
                android:id="@+id/tv_wendu_content"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@id/ll_wendu"
                android:layout_toRightOf="@id/iv_wendu"
                android:lines="2"
                android:text="柜外温度"
                android:textColor="#d4237a"
                android:textSize="24sp" />

        </RelativeLayout>

        <RelativeLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:visibility="gone">

            <ImageView
                android:id="@+id/iv_shidu"
                android:layout_width="90dp"
                android:layout_height="90dp"
                android:src="@drawable/icon_qxshidu_new" />

            <LinearLayout
                android:id="@+id/ll_shidu"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_toRightOf="@id/iv_shidu">

                <TextView
                    android:id="@+id/tv_shidu"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="40°C"
                    android:textColor="#d4237a"
                    android:textSize="34sp" />

            </LinearLayout>

            <TextView
                android:id="@+id/tv_shidu_content"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@id/ll_shidu"
                android:layout_toRightOf="@id/iv_shidu"
                android:lines="2"
                android:text="柜外湿度"
                android:textColor="#d4237a"
                android:textSize="24sp" />

        </RelativeLayout>

        <RelativeLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content">

            <ImageView
                android:id="@+id/iv_lutou"
                android:layout_width="90dp"
                android:layout_height="90dp"
                android:src="@drawable/icon_qxlutou_new" />

            <TextView
                android:id="@+id/tv_lutou"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_toRightOf="@id/iv_lutou"
                android:text="40°C"
                android:textColor="#d4237a"
                android:textSize="34sp" />

            <TextView
                android:id="@+id/tv_lutou_content"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@id/tv_lutou"
                android:layout_toRightOf="@id/iv_lutou"
                android:lines="2"
                android:text="@string/base_burner_temperature"
                android:textColor="#d4237a"
                android:textSize="24sp" />

        </RelativeLayout>

        <RelativeLayout
            android:id="@+id/rl_fashengqi"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:visibility="gone">

            <ImageView
                android:id="@+id/iv_fashengqi"
                android:layout_width="90dp"
                android:layout_height="90dp"
                android:src="@drawable/icon_fsq_new" />

            <TextView
                android:id="@+id/tv_fashengqi"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_toRightOf="@id/iv_fashengqi"
                android:text="40°C"
                android:textColor="#d4237a"
                android:textSize="34sp" />

            <TextView
                android:id="@+id/tv_fashengqi_content"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@id/tv_fashengqi"
                android:layout_toRightOf="@id/iv_fashengqi"
                android:lines="2"
                android:text="蒸汽温度"
                android:textColor="#d4237a"
                android:textSize="24sp" />

        </RelativeLayout>


    </LinearLayout>

    <ImageView
        android:id="@+id/iv_4g"
        android:layout_width="50dp"
        android:layout_height="50dp"
        android:layout_marginTop="20dp"
        android:src="@drawable/leven0"
        android:visibility="gone"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <ImageView
        android:id="@+id/iv_wifi"
        android:layout_width="50dp"
        android:layout_height="50dp"
        android:layout_marginTop="20dp"
        android:src="@drawable/leven0"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/totalSpeedTv"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="30dp"
        android:layout_marginTop="20dp"
        android:paddingStart="8dp"
        android:textColor="@color/white"
        android:textSize="@dimen/sp_18"
        app:layout_constraintLeft_toRightOf="@id/iv_wifi"
        app:layout_constraintTop_toTopOf="parent"
        tools:text="100ks"></TextView>

</androidx.constraintlayout.widget.ConstraintLayout>